package de.sus.user;

import java.util.ArrayList;
import de.sus.items.*;

public class Player {
    /** The player's username/display name */
    private String username;
    /** The player's inventory */
    private ArrayList<Item> inventory = new ArrayList<>;

    public Player(String name) {
        this.username = name;
    }

    public void addItem(Item item) {
        inventory.add(item);
    }

    public boolean removeItem(Item item) {
        return inventory.remove(item);
    }

    @Override
    public String toString() {
        return this.username;
    }
}